﻿using System;
using System.IO;
using System.Linq;
using System.Windows;
using Microsoft.Win32;
using Telerik.Windows.Controls;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf;
using Telerik.Windows.Documents.Fixed.Model;
using Telerik.Windows.Documents.Model;

namespace RadGridView_WPF_NoXAML_1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {
            RadFixedDocument doc1;
            using (Stream firstGrid = new MemoryStream())
            {
                clubsGrid.ExportToPdf(firstGrid,
                        new GridViewPdfExportOptions()
                        {
                            ShowColumnFooters = true,
                            ShowColumnHeaders = true,
                            ShowGroupFooters = true,
                            PageOrientation = PageOrientation.Landscape
                        });

                doc1 = new PdfFormatProvider().Import(firstGrid);

            }

            RadFixedDocument doc2;
            using (Stream secondGrid = new MemoryStream())
            {
                clubsGrid2.ExportToPdf(secondGrid,
                        new GridViewPdfExportOptions()
                        {
                            ShowColumnFooters = true,
                            ShowColumnHeaders = true,
                            ShowGroupFooters = true,
                            PageOrientation = PageOrientation.Landscape
                        });

                doc2 = new PdfFormatProvider().Import(secondGrid);
            }

            //merge the two documents together
            doc1.Merge(doc2);

            //export the combined document
            string extension = "pdf";

            SaveFileDialog dialog = new SaveFileDialog()
            {
                DefaultExt = extension,
                Filter = String.Format("{1} files (*.{0})|*.{0}|All files (*.*)|*.*", extension, "Pdf"),
                FilterIndex = 1
            };

            if (dialog.ShowDialog() == true)
            {
                using (Stream stream = dialog.OpenFile())
                {
                    new PdfFormatProvider().Export(doc1, stream);
                }
            }
        }

    }
}
